# This file is the template for our runner configuration
# Important: variables following the pattern "${VARIABLE_NAME}" will be
# automatically replaced by the correct values during the entrypoint script

concurrent = ${CONCURRENT}
check_interval = 0

[session_server]
  session_timeout = 1800

[[runners]]
  name = "${RUNNER_NAME}"
  url = "${GITLAB_URL}/"
  token = "${RUNNER_AUTH_TOKEN}"
  executor = "custom"
  builds_dir = "/opt/gitlab-runner/builds"
  cache_dir = "/opt/gitlab-runner/cache"
  [runners.custom]
    config_exec = "/opt/gitlab-runner/fargate"
    config_args = ["--config", "/etc/gitlab-runner/config_driver.toml", "custom", "config"]
    prepare_exec = "/opt/gitlab-runner/fargate"
    prepare_args = ["--config", "/etc/gitlab-runner/config_driver.toml", "custom", "prepare"]
    run_exec = "/opt/gitlab-runner/fargate"
    run_args = ["--config", "/etc/gitlab-runner/config_driver.toml", "custom", "run"]
    cleanup_exec = "/opt/gitlab-runner/fargate"
    cleanup_args = ["--config", "/etc/gitlab-runner/config_driver.toml", "custom", "cleanup"]
